From: <a href="/blend/av.cgi?id=1159">Lilla</a><BR>
Date: 29 March 2008<P>

ohhh kirk ... i hate too much silence, too.  <BR>
<BR>
looks like you had a grand time in Japan ... may be next time you  come to Manila, huh.<BR>
<BR>
rock on!
<HR>
From: <a href="/blend/av.cgi?id=1103">ladyinwaiting</a><BR>
Date: 29 March 2008<P>

Happy Birthday CS...hope it was a grand one for you.  I have mine coming up soon too.  I will celebrate with aparajita in Dallas (so looking forward to a ladies weekend).  Yes, I am safe at the top of a valley.  Our lake/dam holds the water back (35,000+ acres worth) it keeps the flooding under control. The lake is very full; plus, it must stay that way for a long while.  All down stream are fighting with the water now with more rain today and expecting more this week.  So many of the places hit with the tornados are also the places affected by the water as well.  I am sure the price of rice, soy beans and corn will increase as a result of the farmers being under water.  Thanks for asking.  How is your son in law doing?  How are you and your daughter doing.  As a mother we are the corner stone for moments like this.<BR>
<BR>
Kirk ~ I am glad you made it home and had a great time.
<HR>